Subject: Re: arm-smmu 5000000.iommu: Cannot accommodate DMA offset for IOMMU page tables

From: Miquel Raynal <[email-masked]>
Date: Wed, 14 Oct 2020 14:58:46 +0200

Hello,

Fabio Estevam <[email-masked]> wrote on Wed, 14 Oct 2020 09:28:49
-0300:

> Hi Florian,
> 
> On Sun, Oct 11, 2020 at 6:59 PM Florian Fainelli <[email-masked]> wrote:
> 
> > however the NAND warning still remains. Someone else familiar with these
> > NXP development boards should fix the DTS so as to provide the require
> > ECC strength property.  
> 
> The ECC NAND warning looks like a regression.
> 
> I had originally reported it for an imx27 board and now I also pointed
> out that it also affects Layerscape:
> https://lore.kernel.org/linux-mtd/20201013193652.0c535c7c@xps13/T/#m09fad7eacdf86aee0834bbd8863d6d5ee2e69f8c

I think this thread initially reported two distinct defects, one has
been solved, the second one is in my hands but I couldn't find the root
cause yet. I tried to reproduce, without luck, with another NAND
controller. If someone has an imx based board and a NAND controller on
it, I would appreciate some help.

Thanks,
Miquèl